/** pahooWebView2.hpp
 * WebView2オブジェクトを扱う関数（ヘッダ部）
 *
 * @copyright	(c)studio pahoo
 * @author		パパぱふぅ
 * @動作環境	MinGW C++ + WebView2
 */
#ifndef PAHOOWEBVIEW2_HPP
#define PAHOOWEBVIEW2_HPP

#include <iostream>
#include <tchar.h>
#include <locale>
#include <string>
#include "WebView2.h"
#include "event.h"

bool isWeb2Ready(void);
std::wstring TStrToWStr(LPCTSTR str);
void FatalError(LPCTSTR errmsg, ...);
void GetDataPath(LPTSTR szOut, DWORD nSize);
void ResizeBrowser(HWND hWnd);
LRESULT WINAPI WndProc(HWND hWnd, UINT msg, WPARAM wParam, LPARAM lParam);
HWND createWebView2(HINSTANCE hInst, HWND hDlg, int x, int y, int width, int height, LPCWSTR uri);

#endif
